Page MenuHomePhabricator

selenium-daily-beta-Echo Jenkins job failing
Closed, ResolvedPublic

Description

1) Echo checks for welcome message after signup:
element (".mw-echo-ui-notificationItemWidget-content-message-header") still not visible after 10000ms
running chrome
Error: element (".mw-echo-ui-notificationItemWidget-content-message-header") still not visible after 10000ms
    at elements(".mw-echo-ui-notificationItemWidget-content-message-header") - isVisible.js:54:17
    at isVisible(".mw-echo-ui-notificationItemWidget-content-message-header") - waitForVisible.js:73:22

2) Mention test for Echo checks if admin gets alert when mentioned:
The expression evaluated to a falsy value:

  assert( regexp.test( EchoPage.alertMessage.getText() ) )

running chrome
AssertionError [ERR_ASSERTION]: The expression evaluated to a falsy value:

  assert( regexp.test( EchoPage.alertMessage.getText() ) )

    at Context.<anonymous> (/src/tests/selenium/specs/mention.js:24:3)
    at new Promise (<anonymous>)
    at new F (/src/node_modules/core-js/library/modules/_export.js:36:28)

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 1 2019, 3:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
zeljkofilipin triaged this task as Medium priority.Jul 1 2019, 3:46 PM
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.

Change 520036 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/Echo@master] WIP Fix failing test by removing some unicode characters

https://gerrit.wikimedia.org/r/520036

Change 520038 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/Echo@master] Selenium: Fix failing Jenkins job by disabling failing tests

https://gerrit.wikimedia.org/r/520038

Krinkle updated the task description. (Show Details)Jul 1 2019, 4:10 PM

Change 520038 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Selenium: Fix failing Jenkins job by disabling failing tests

https://gerrit.wikimedia.org/r/520038

Change 520663 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] WIP Fix failing test by only running tests tagged @daily

https://gerrit.wikimedia.org/r/520663

Change 520663 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Selenium: Fix failing test by only running tests tagged @daily

https://gerrit.wikimedia.org/r/520663

Change 520036 abandoned by Zfilipin:
WIP Fix failing test by removing some unicode characters

Reason:
just a test

https://gerrit.wikimedia.org/r/520036

zeljkofilipin closed this task as Resolved.Jul 5 2019, 12:13 PM

All patches merged (bug:T227009), the job is green (selenium-daily-beta-Echo).

kostajh reopened this task as Open.Jul 30 2019, 2:53 PM
kostajh added a subscriber: kostajh.

One of these tests (Mention test for Echo checks if admin gets alert when mentioned) is now failing consistently in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Echo/+/524520

Change 526440 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/Echo@master] Skip broken Selenium test

https://gerrit.wikimedia.org/r/526440

Change 526440 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Skip broken Selenium test

https://gerrit.wikimedia.org/r/526440

Catrope closed this task as Resolved.Jul 31 2019, 1:45 AM
Catrope added a subscriber: Catrope.

Patch was merged, job is no longer failing